package com.cultural.heritage.model.dto.clothesRentOrder;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "服装租赁订单添加请求体", requiredProperties = {"clothesId", "contactsId", "rentDays"})
public class ClothesRentOrderAddRequest implements Serializable {


    /**
     * 服装id
     */
    @Schema(description = "服装id(id > 0)", example = "2")
    private Long clothesId;


    /**
     * 联系人id
     */
    @Schema(description = "联系人id(id > 0)", example = "3")
    private Long contactsId;


    /**
     * 租赁天数
     */
    @Schema(description = "rentDays", example = "10")
    private Integer rentDays;



    @Serial
    private static final long serialVersionUID = 1L;

}
