package com.cultural.heritage.model.dto.order;

import com.cultural.heritage.common.PageRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "服务类商品预约情况查询请求体", requiredProperties = {"goodId", "quantity", "sortField", "sortOrder"})
public class BookingOrderQueryRequest extends PageRequest implements Serializable {

    /**
     * 商品id
     */
    private Long goodId;


    /**
     * 预约日期
     */
    private String reservationDate;


    /**
     * 预约时间段
     */
    private String timeSlot;


    @Serial
    private static final long serialVersionUID = 1L;
}
