package com.cultural.heritage.model.dto.snapshot;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "订单联系人信息", requiredProperties = {"name", "phone"})
public class ContactsSnapshot implements Serializable {


    /**
     * 联系人姓名
     */
    @Schema(description = "联系人姓名", example = "张三")
    private String name;


    /**
     * 联系人手机号
     */
    @Schema(description = "联系人手机号", example = "18845892473")
    private String phone;



    @Serial
    private static final long serialVersionUID = 1L;
}
