package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.cultural.heritage.model.vo.coupon.CouponVO;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户优惠券表
 * @TableName user_coupon
 */
@Data
@TableName(value = "user_coupon", autoResultMap = true)
public class UserCoupon implements Serializable {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户id
     */
    private Long userId;


    /**
     * 优惠券信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private CouponVO couponVO;


    /**
     * 创建时间
     */
    private Date createTime;


    /**
     * 更新时间
     */
    private Date updateTime;


    /**
     * 是否使用过
     */
    private Integer isUsed;


    @Serial
    private static final long serialVersionUID = 1L;
}
