package com.cultural.heritage.service.good.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cultural.heritage.common.ErrorCode;
import com.cultural.heritage.exception.BusinessException;
import com.cultural.heritage.mapper.TimePeriodMapper;
import com.cultural.heritage.model.entity.TimePeriod;
import com.cultural.heritage.service.good.TimePeriodService;
import org.apache.commons.lang3.ObjectUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

@Service
public class TimePeriodServiceImpl extends ServiceImpl<TimePeriodMapper, TimePeriod> implements TimePeriodService {

    @Override
    public void validTimePeriod(TimePeriod timePeriod, boolean update) {
        Long id = timePeriod.getId();
        Integer minNumber = timePeriod.getMinNumber();
        Integer maxNumber = timePeriod.getMaxNumber();
        String timeSlot = timePeriod.getTimeSlot();
        Long appointmentDateId = timePeriod.getAppointmentDateId();

        if (update) {
            if (id == null) {
                throw new BusinessException(ErrorCode.PARAMS_ERROR, "预约日期id参数错误");
            }
        }
        if (ObjectUtils.anyNull(minNumber, maxNumber, appointmentDateId)) {
            throw new BusinessException(ErrorCode.PARAMS_ERROR, "存在参数为空");
        }
        if (minNumber > maxNumber) {
            throw new BusinessException(ErrorCode.PARAMS_ERROR, "最小预约人数不能超过最大预约人数");
        }
        if (StringUtils.isBlank(timeSlot)) {
            throw new BusinessException(ErrorCode.PARAMS_ERROR, "时间段参数为空");
        }

    }
}
